#pragma once

#include "CoreMinimal.h"
#include "SubstanceGraphDesc.generated.h"

USTRUCT(BlueprintType)
struct FSubstanceGraphDesc
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 Index;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Label;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Description;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Category;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Keywords;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Author;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString AuthorUrl;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString UserTag;

public:
	SUBSTANCECORE_API FSubstanceGraphDesc();
};

FORCEINLINE uint32 GetTypeHash(const FSubstanceGraphDesc) { return 0; }
